package com.yaohun.aurechargedata;

import com.yaohun.aurechargedata.cmd.DataMigrationCmd;
import com.yaohun.aurechargedata.cmd.MainCmd;
import com.yaohun.aurechargedata.listener.CoinsConsumeEvent;
import com.yaohun.aurechargedata.manage.ConsumeManage;
import com.yaohun.aurechargedata.manage.RechargeManage;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    public static String version = "1.0.1";
    public static Main plugin;
    public static boolean Debug = true;
    public static RechargeManage rechargeManage;
    public static ConsumeManage consumeManage;
    @Override
    public void onEnable() {
        plugin = this;
        saveDefaultConfig();
        getCommand("apaydata").setExecutor(new DataMigrationCmd());
        getCommand("apay").setExecutor(new MainCmd());
        DemonAPI.sendConsoleMessage("§f[§6!§f] §aAuRechargeData ("+version+") §f开始加载");
        rechargeManage = new RechargeManage();
        consumeManage = new ConsumeManage();
        if (Bukkit.getPluginManager().getPlugin("DemonCoins") != null) {
            getServer().getPluginManager().registerEvents(new CoinsConsumeEvent(),this);
            DemonAPI.sendConsoleMessage("§f[§a!§f] §fDemonCoins §8> §6完成");
        }
        if (Bukkit.getPluginManager().getPlugin("PlaceholderAPI") != null) {
            new RechargeExpansion(this).register();
            DemonAPI.sendConsoleMessage("§f[§a!§f] §fPlaceholderAPI §8> §6完成");
        }
        DemonAPI.sendConsoleMessage("§f[§6!§f] §aAuRechargeData §f加载完成,祝你使用愉快！");
        DemonAPI.sendConsoleMessage("§f[§6!§f] §b极光像素工作室出品");
    }

    @Override
    public void onDisable() {
        rechargeManage.saveData();
        consumeManage.saveData();
    }
}
